<_templates Include="trucks" />
<TruckAddon IsChassisFullOcclusion="true">
    <TruckData FuelCapacity="600" RepairsCapacity="600"/>
	<PhysicsModel Mesh="trucks/maz500_bort">
		<Body Mass="2500" ImpactType="Truck"
		>
		    <Constraint Type="Fixed"/>  
			<Body
					ModelFrame="BoneBorL_cdt"
					Mass="50"
					CenterOfMassOffset="(0; 1; 0.0)"
				>
					<Constraint
						Type="Hinge"
						MinLimit="-1"
						MaxLimit="15"
						AxisLocal="(1;0;0)"
					>
						<Motor Type="Spring" Spring="4000" Damping="400" />
					</Constraint>
				</Body>
			<Body
					ModelFrame="BoneBorR_cdt"
					Mass="50"
					CenterOfMassOffset="(0; 1; 0.0)"
				>
					<Constraint
						Type="Hinge"
						MinLimit="-15"
						MaxLimit="1"
						AxisLocal="(1;0;0)"
					>
						<Motor Type="Spring" Spring="4000" Damping="400" />
					</Constraint>
				</Body>
			    <Body AngularDamping="10.0" Collisions="None" Mass="5" ModelFrame="BoneLeftMudguard_cdt">
				<Constraint AxisLocal="(0;0;1)" MinLimit="-25" MaxLimit="25" Type="Hinge" />
				</Body>
				<Body AngularDamping="10.0" Collisions="None" Mass="5" ModelFrame="BoneRightMudguard_cdt">
				<Constraint AxisLocal="(0;0;1)" MinLimit="-25" MaxLimit="25" Type="Hinge" />
			</Body>
		</Body>
	</PhysicsModel>
	<GameData>
        <RequiredAddon Types="Gabarit_500" />
        <RequiredAddon Types="Zapaska_Podrama" />
	    <InstallSocket Type="BORT_500" />
	</GameData>
		<ModelAttachments>
		<Ignition>
		    <Flare _template="MarkerSignal" Pos="(-3.07; 1.57; 1.16)" ParentFrame="kuzr_cdt" />
			<Flare _template="MarkerSignal" Pos="(-3.07; 1.57; -1.16)" ParentFrame="kuzr_cdt" />
		</Ignition>
	
        <Ignition>
		<Flare _template="StopSignal" Pos="(-3.05; 1.57; 1.05)" ParentFrame="kuzr_cdt"
        />
		<Flare _template="StopSignal" Pos="(-3.05; 1.57; -1.05)"  ParentFrame="kuzr_cdt"
        />
		</Ignition>
		
		<StopSignals>
		<Flare _template="StopSignal" Pos="(-3.05; 1.57; 1.10)" ParentFrame="kuzr_cdt"
          />
		<Flare _template="StopSignal" Pos="(-3.05; 1.57; -1.10)"  ParentFrame="kuzr_cdt"
          />
		</StopSignals>
	
	</ModelAttachments>
    <FuelMass>
		<Body Mass="1000" />
	</FuelMass>
</TruckAddon>
	

